← OBPv7.0.0 Update Group PUT /obp/v7.0.0/management/groups/GROUP_ID OBPv6.0.0-updateGroup No role required Group Update a group. All fields are optional. Requires either: CanUpdateGroupAtAllBanks (for any group) CanUpdateGroupAtOneBank (for groups at specific bank) User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: GROUP_ID: GROUP_ID JSON response body fields (6) group_description group_descriptiongroup_id group_idgroup_name group_nameis_enabled is_enabledlist_of_roles list_of_rolesbank_id gh.29.uk Example request body { "group_name": "Updated Teller Group", "group_description": "Updated description", "list_of_roles": [ "CanGetCustomer", "CanGetAccount", "CanCreateTransaction", "CanGetTransaction" ], "is_enabled": true } Example success response { "group_id": "group-id-123", "bank_id": "gh.29.uk", "group_name": "Updated Teller Group", "group_description": "Updated description", "list_of_roles": [ "CanGetCustomer", "CanGetAccount", "CanCreateTransaction", "CanGetTransaction" ], "is_enabled": true } Possible errors (3) OBP-20001: User not logged in. Authentication is required!OBP-10001: Incorrect json format.OBP-50000: Unknown Error.